Skip to navigation

List Wallets for a User

Retrieve wallets based on UserId.

Note – ScaContext default value is USER_PRESENT

On this endpoint, the default value for ScaContext is USER_PRESENT. If the PendingUserAction.RedirectUrl value is returned, you need to redirect the user to perform SCA.

With approval from Mangopay, your platform may be able to use the USER_NOT_PRESENT value provided you also have a legal proxy in place with the user and the user’s consent to access wallet balances and transactions on their behalf (read more about proxy management).

Note – SCA triggered by this endpoint

This endpoint requires the user to perform SCA to authenticate the access to their wallet, unless SCA for wallet access was successfully completed in the last 180 days (or unless your platform is using a proxy and user consent).

When SCA is required, this endpoint returns a 401 - Unauthorized response (see errors below for details).

To let the user complete the SCA session on the Mangopay-hosted webpage, your platform needs to retrieve the RedirectUrl from the WWW-Authenticate response header, add an encoded returnUrl query parameter, and redirect the user. Read more about how to redirect them in the SCA session guide.

In Sandbox, you can bypass SCA by including the word accept in the Email value of the Natural User or the LegalRepresentative.Email value of the Legal User – for example accept@example.com or john.doe+accept@example.com.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

If your platform is using a proxy to take SCA-triggering action on behalf of users, you also need to integrate mTLS authentication and use the api-mtls base URL.

Path parameters

ClientIdstringRequired
Platform's API account identifier, associated with the API key.
UserIdstringRequired
The unique identifier of the user.

Query parameters

ScaContextstringOptional

Possible values: USER_PRESENT, USER_NOT_PRESENT

The SCA context of the request, which is required if the user's UserCategory is OWNER:

  • USER_PRESENT – The user is taking the SCA-triggering action of accessing their wallet. The platform must redirect the user using the PendingUserAction.RedirectUrl returned so that the user can complete the SCA session (unless exempted because a successful SCA session for wallet access occurred in the last 180 days, so no redirection link was returned).
  • USER_NOT_PRESENT – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then USER_NOT_PRESENT returns a 403 error.

Read more about managing proxy and user consent →

Note: For existing platforms, the parameter is technically optional if the User is an OWNER, and the default value will become USER_PRESENT from Dec 15, 2025 (Dec 1 in Sandbox)

per_pageintegerOptional

Min. value: 1; max. value: 100

Default value: 10

Indicates the number of items returned for each page of the pagination.

pageintegerOptional

Start value: 1

Default value: 1

Indicates the index of the page for the pagination.

SortstringOptional

Possible values: CreationDate:ASC, CreationDate:DESC

Default value: CreationDate:ASC

Indicates the direction in which to sort the list.

Response

Success
Array (Wallets)list of objectsOptional
The list of wallets created by the platform.

Errors

401
Unauthorized Error